From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-embedded/libftdi/
Date: Fri, 20 Jul 2018 03:58:06 +0000 (UTC) [thread overview]
Message-ID: <1532059043.4b24d0760bd526b237a8a2ba2cee50cfc2deb487.jer@gentoo> (raw)
commit: 4b24d0760bd526b237a8a2ba2cee50cfc2deb487
Author: Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 20 03:57:23 2018 +0000
Commit: Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Fri Jul 20 03:57:23 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4b24d076
dev-embedded/libftdi: Version 1.4.
Package-Manager: Portage-2.3.43, Repoman-2.3.10
dev-embedded/libftdi/Manifest | 1 +
dev-embedded/libftdi/libftdi-1.4.ebuild | 73 +++++++++++++++++++++++++++++++++
2 files changed, 74 insertions(+)
diff --git a/dev-embedded/libftdi/Manifest b/dev-embedded/libftdi/Manifest
index 6df047ea4bc..9e0b4670079 100644
--- a/dev-embedded/libftdi/Manifest
+++ b/dev-embedded/libftdi/Manifest
@@ -1,3 +1,4 @@
DIST libftdi-0.19.tar.gz 406671 BLAKE2B 47979967d8597584e46a5d9297ed24454d0583869110b52af7662a04a4b037ea57ec6ba133a61d355f0ccf1366b14195a8ccb13d7bb585264cdd1d528f2cf2d9 SHA512 c6deefe8c83063343321e8c2c6b6c1c2842a9f1caf4e54f47106c3c4aac638736f19fecf91582c6cc9f4917c4d140157440c360ce3a030dfb7fa027483bab972
DIST libftdi-0.20.tar.gz 423570 BLAKE2B f0aa420a704e18c4257b99a4593dbaf46a15806d980b24909fe8678b36e74b568cd5915db1e14f8b904541334fbf3d18f069dc479a0bf66b2ea8e113611cb82b SHA512 540e5eb201a65936c3dbabff70c251deba1615874b11ff27c5ca16c39d71c150cf61758a68b541135a444fe32ab403b0fba0daf55c587647aaf9b3f400f1dee7
DIST libftdi1-1.2.tar.bz2 100672 BLAKE2B 314ee2695324bc3f6adad56d7ff8fddabfb86714a689ee309afc6aa8498a19fc55d2ea8f4edf0c378d944494505def3faabf1d9c3bb98e6c228526c392d26f09 SHA512 d175e2b39dda880653a2e46db67e49a8921095e69eff6598159c3c31292d4ce76617c2f1617fd6727b08c930fcea335d8ef01857debbb60e7ac384b516d38a05
+DIST libftdi1-1.4.tar.bz2 109521 BLAKE2B 4186342afb2a0118c454230a925ccff2ed0aedd942cdd3afb1ac59519f1cd48db7f04421ecdb5aa6e53993666a903de00ce447fd81d00839806f8cc0d34c6e52 SHA512 dbab74f7bc35ca835b9c6dd5b70a64816948d65da1f73a9ece37a0f0f630bd0df1a676543acc517b02a718bc34ba4f7a30cbc48b6eed1c154c917f8ef0a358fc
diff --git a/dev-embedded/libftdi/libftdi-1.4.ebuild b/dev-embedded/libftdi/libftdi-1.4.ebuild
new file mode 100644
index 00000000000..08ab82ddbc6
--- /dev/null
+++ b/dev-embedded/libftdi/libftdi-1.4.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 python3_6 )
+inherit cmake-utils python-single-r1
+
+MY_P="${PN}1-${PV}"
+if [[ ${PV} == 9999* ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="git://developer.intra2net.com/${PN}"
+else
+ SRC_URI="http://www.intra2net.com/en/developer/${PN}/download/${MY_P}.tar.bz2"
+ KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+fi
+
+DESCRIPTION="Userspace access to FTDI USB interface chips"
+HOMEPAGE="http://www.intra2net.com/en/developer/libftdi/"
+
+LICENSE="LGPL-2"
+SLOT="1"
+IUSE="cxx doc examples python static-libs test tools"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="virtual/libusb:1
+ cxx? ( dev-libs/boost )
+ python? ( ${PYTHON_DEPS} )
+ tools? (
+ !<dev-embedded/ftdi_eeprom-1.0
+ dev-libs/confuse:=
+ )"
+DEPEND="${RDEPEND}
+ python? ( dev-lang/swig )
+ doc? ( app-doc/doxygen )"
+
+pkg_setup() {
+ use python && python-single-r1_pkg_setup
+}
+
+S=${WORKDIR}/${MY_P}
+
+src_configure() {
+ local mycmakeargs=(
+ -DFTDIPP=$(usex cxx)
+ -DDOCUMENTATION=$(usex doc)
+ -DEXAMPLES=$(usex examples)
+ -DPYTHON_BINDINGS=$(usex python)
+ -DSTATICLIBS=$(usex static-libs)
+ -DBUILD_TESTS=$(usex test)
+ -DFTDI_EEPROM=$(usex tools)
+ -DCMAKE_SKIP_BUILD_RPATH=ON
+ )
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+ use python && python_optimize
+ dodoc AUTHORS ChangeLog README TODO
+
+ if use doc ; then
+ # Clean up crap man pages. #356369
+ rm -vf "${CMAKE_BUILD_DIR}"/doc/man/man3/_* || die
+
+ doman "${CMAKE_BUILD_DIR}"/doc/man/man3/*
+ dodoc -r "${CMAKE_BUILD_DIR}"/doc/html
+ fi
+ if use examples ; then
+ docinto examples
+ dodoc examples/*.c
+ fi
+}
next reply other threads:[~2018-07-20 3:58 UTC|newest]
Thread overview: 103+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-07-20 3:58 Jeroen Roovers [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-09-24 15:03 [gentoo-commits] repo/gentoo:master commit in: dev-embedded/libftdi/ Arthur Zamarin
2024-09-24 15:03 Arthur Zamarin
2024-08-09 17:45 Arthur Zamarin
2024-08-09 17:43 Arthur Zamarin
2024-07-02 10:02 Sam James
2024-07-02 10:02 Sam James
2024-06-19 13:20 Sam James
2024-06-19 13:18 Sam James
2024-06-08 7:12 Sam James
2024-06-08 6:35 Arthur Zamarin
2024-06-08 5:51 Arthur Zamarin
2024-06-08 5:40 Arthur Zamarin
2024-05-29 14:43 Jakov Smolić
2024-05-29 14:43 Jakov Smolić
2024-05-29 11:47 Sam James
2024-05-29 11:47 Sam James
2024-04-20 19:47 Viorel Munteanu
2023-08-20 9:33 Viorel Munteanu
2023-08-20 9:33 Viorel Munteanu
2023-04-19 11:14 Viorel Munteanu
2023-04-19 11:14 Viorel Munteanu
2023-04-19 11:07 Sam James
2023-04-19 10:16 Arthur Zamarin
2023-04-19 10:16 Arthur Zamarin
2023-04-19 10:16 Arthur Zamarin
2023-04-19 10:16 Arthur Zamarin
2023-04-19 10:16 Arthur Zamarin
2023-04-19 9:47 Arthur Zamarin
2023-04-19 9:45 Sam James
2023-04-19 9:45 Sam James
2023-04-19 9:43 Sam James
2023-04-19 9:43 Sam James
2023-04-19 9:43 Sam James
2023-04-19 9:43 Sam James
2023-04-19 9:41 Arthur Zamarin
2023-03-31 19:48 Viorel Munteanu
2023-03-31 19:48 Viorel Munteanu
2023-03-31 19:48 Viorel Munteanu
2022-12-02 18:44 WANG Xuerui
2022-11-10 5:28 Sam James
2022-11-10 5:10 Sam James
2022-04-29 19:06 Sam James
2022-04-29 19:06 Sam James
2022-02-02 4:44 Craig Andrews
2021-08-22 0:07 Marek Szuba
2021-08-22 0:07 Marek Szuba
2021-05-06 21:20 Sam James
2021-05-01 14:06 Sam James
2021-04-30 23:39 Sam James
2021-04-30 23:37 Sam James
2021-04-30 23:29 Sam James
2021-04-30 20:28 Sergei Trofimovich
2021-04-30 15:23 Agostino Sarubbo
2021-02-26 13:55 Sam James
2021-02-25 18:34 Sergei Trofimovich
2021-02-25 8:32 Sam James
2021-02-25 7:31 Sam James
2021-02-25 1:41 Sam James
2021-02-24 20:25 Sam James
2021-02-24 20:24 Sam James
2021-02-05 7:23 Sam James
2021-01-27 18:33 Sam James
2021-01-27 18:25 Sam James
2021-01-27 18:25 Sam James
2020-12-28 15:17 David Seifert
2020-12-28 15:17 David Seifert
2020-12-28 8:22 Sam James
2020-12-27 21:40 Sam James
2020-12-27 20:48 Sam James
2020-12-27 20:46 Sam James
2020-12-27 20:34 Sam James
2020-12-27 20:27 Sam James
2020-12-27 20:19 Sam James
2020-07-10 11:53 Andreas Sturmlechner
2020-06-09 13:53 Agostino Sarubbo
2020-06-09 13:51 Agostino Sarubbo
2020-06-09 13:50 Agostino Sarubbo
2020-06-09 13:49 Agostino Sarubbo
2020-06-09 13:47 Agostino Sarubbo
2020-06-09 13:45 Agostino Sarubbo
2020-06-08 17:29 Matt Turner
2020-06-08 16:34 Mart Raudsepp
2020-02-10 11:54 Michał Górny
2018-07-26 0:44 Mikle Kolyada
2018-07-23 18:42 Sergei Trofimovich
2018-07-15 10:25 Sergei Trofimovich
2018-05-01 7:41 Markus Meier
2018-04-03 21:43 Sergei Trofimovich
2017-12-25 10:43 David Seifert
2017-11-22 10:24 Jeroen Roovers
2017-06-26 10:03 Alexis Ballier
2017-05-19 15:31 David Seifert
2017-05-18 22:38 Michael Weber
2017-05-12 14:55 Agostino Sarubbo
2017-05-06 7:27 Markus Meier
2017-05-01 13:37 Agostino Sarubbo
2017-02-18 10:32 Michał Górny
2016-06-24 7:47 Mike Frysinger
2016-06-24 7:47 Mike Frysinger
2016-06-11 16:44 Agostino Sarubbo
2016-06-08 19:29 Markus Meier
2015-12-31 13:11 Sven Wegener
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1532059043.4b24d0760bd526b237a8a2ba2cee50cfc2deb487.jer@gentoo \
--to=jer@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox